# Copyright (C) 2024-2025 IBM Corp.
# SPDX-License-Identifier: Apache-2.0

from __future__ import annotations

from .prelude import P

afflicts = P(689)
anatomical_location = P(927)
applies_to_part = P(518)
applies_to_taxon = P(2352)
assessment = P(5021)
author_name_string = P(2093)
auxiliary_verb = P(5401)
based_on_heuristic = P(887)
canonical_SMILES = P(233)
capital = P(36)
CAS_Registry_Number = P(231)
ChEBI_ID = P(683)
ChEMBL_ID = P(592)
chemical_formula = P(274)
chemical_structure = P(117)
class_of_non_item_property_value = P(10726)
combines_lexemes = P(5238)
complementary_property = P(8882)
contains = P(4330)
contains_the_administrative_territorial_entity = P(150)
continent = P(30)
conversion_to_SI_unit = P(2370)
country = P(17)
country_of_citizenship = P(27)
crosses = P(177)
date_of_birth = P(569)
date_of_death = P(570)
demonym = P(1549)
density = P(2054)
depicts = P(180)
derived_from_lexeme = P(5191)
described_at_URL = P(973)
described_by_source = P(1343)
developer = P(178)
Dictionary_of_American_Regional_English_ID = P(12448)
does_not_have_part = P(3113)
download_link = P(4945)
DSSTox_substance_ID = P(3117)
duration = P(2047)
educated_at = P(69)
element_symbol = P(246)
elevation_above_sea_level = P(2044)
end_time = P(582)
equivalent_property = P(1628)
EU_Transparency_Register_ID = P(2657)
exact_match = P(2888)
family_name = P(734)
father = P(22)
field_of_this_occupation = P(425)
field_of_work = P(101)
file_format = P(2701)
found_in_taxon = P(703)
Freebase_ID = P(646)
gender_of_a_scientific_name_of_a_genus = P(2433)
grammatical_gender = P(5185)
grammatical_person = P(11053)
half_life = P(2114)
has_active_ingredient = P(3781)
has_cause = P(828)
has_effect = P(1542)
has_part = P(527)
has_use = P(366)
head_of_government = P(6)
height = P(2048)
highest_point = P(610)
homograph_lexeme = P(5402)
HSDB_ID = P(2062)
imported_from_Wikimedia_project = P(143)
inception = P(571)
InChI = P(234)
InChIKey = P(235)
industry = P(452)
instance_of = P(31)
interested_in = P(2650)
inverse_property = P(1696)
ionization_energy = P(2260)
isomeric_SMILES = P(2017)
language_of_work_or_name = P(407)
legal_status_medicine = P(3493)
location_of_formation = P(740)
lowest_point = P(1589)
made_from_material = P(186)
main_subject = P(921)
manufacturer = P(176)
mass = P(2067)
measured_physical_quantity = P(111)
median_lethal_dose = P(2240)
melting_point = P(2101)
member_of = P(463)
minimal_lethal_dose = P(2300)
mother = P(25)
name_in_native_language = P(1559)
named_after = P(138)
native_label = P(1705)
negates_property = P(11317)
number_of_decimal_digits = P(7316)
number_of_records = P(4876)
numeric_value = P(1181)
occupation = P(106)
official_language = P(37)
official_name = P(1448)
official_website = P(856)
OpenStreetMap_tag_or_key = P(1282)
ORCID_iD = P(496)
parent_peak = P(3137)
part_of = P(361)
participant_in = P(1344)
partition_coefficient_water_octanol = P(2993)
partner_in_business_or_sport = P(1327)
patent_number = P(1246)
payload_mass = P(4519)
phase_of_matter = P(515)
pKa = P(1117)
place_of_birth = P(19)
place_of_death = P(20)
population = P(1082)
position_held = P(39)
position_held = P(39)
practiced_by = P(3095)
product_or_material_produced_or_service_provided = P(1056)
properties_for_this_type = P(1963)
property_proposal_discussion = P(3254)
PubChem_CID = P(662)
publication_date = P(577)
quantity_symbol_string = P(416)
reference_URL = P(854)
related_property = P(1659)
Relations_Ontology_ID = P(3590)
residence = P(551)
retrieved = P(813)
route_of_administration = P(636)
safety_classification_and_labelling = P(4952)
said_to_be_the_same_as = P(460)
school_district = P(5353)
season = P(4908)
sex_or_gender = P(21)
shares_border_with = P(47)
short_name = P(1813)
significant_person = P(3342)
solubility = P(2177)
source_website_for_the_property = P(1896)
specific_heat_capacity = P(2056)
speed_limit = P(3086)
sponsor = P(859)
spouse = P(26)
start_time = P(580)
stated_in = P(248)
statement_supported_by = P(3680)
stereoisomer_of = P(3364)
subclass_of = P(279)
subject_lexeme = P(6254)
subproperty_of = P(1647)
taxon_name = P(225)
temperature = P(2076)
TheCocktailDB_ingredient_ID = P(9057)
time_index = P(4895)
title = P(1476)
trading_name = P(6427)
transport_network = P(16)
type_of_unit_for_this_property = P(2876)
Unicode_character = P(487)
used_by = P(1535)
uses = P(2283)
valid_in_place = P(3005)
width = P(2049)
Wikidata_item_of_this_property = P(1629)
Wikidata_property = P(1687)
Wikidata_property_example_for_lexemes = P(5192)
WordNet_31_Synset_ID = P(8814)
YouTube_video_ID = P(1651)

# Aliases:
material_produced = product_or_material_produced_or_service_provided
product_produced = product_or_material_produced_or_service_provided
same_as = said_to_be_the_same_as
service_provided = product_or_material_produced_or_service_provided

__all__ = (
    'afflicts',
    'anatomical_location',
    'applies_to_part',
    'applies_to_taxon',
    'assessment',
    'author_name_string',
    'auxiliary_verb',
    'based_on_heuristic',
    'canonical_SMILES',
    'capital',
    'CAS_Registry_Number',
    'CAS_Registry_Number',
    'ChEBI_ID',
    'ChEMBL_ID',
    'chemical_formula',
    'chemical_structure',
    'class_of_non_item_property_value',
    'combines_lexemes',
    'complementary_property',
    'contains',
    'contains_the_administrative_territorial_entity',
    'continent',
    'conversion_to_SI_unit',
    'country',
    'country_of_citizenship',
    'crosses',
    'date_of_birth',
    'date_of_death',
    'demonym',
    'density',
    'depicts',
    'derived_from_lexeme',
    'described_at_URL',
    'described_by_source',
    'developer',
    'Dictionary_of_American_Regional_English_ID',
    'does_not_have_part',
    'download_link',
    'DSSTox_substance_ID',
    'duration',
    'educated_at',
    'element_symbol',
    'elevation_above_sea_level',
    'elevation_above_sea_level',
    'end_time',
    'equivalent_property',
    'EU_Transparency_Register_ID',
    'exact_match',
    'family_name',
    'father',
    'field_of_this_occupation',
    'field_of_work',
    'file_format',
    'found_in_taxon',
    'Freebase_ID',
    'gender_of_a_scientific_name_of_a_genus',
    'grammatical_gender',
    'grammatical_person',
    'half_life',
    'has_active_ingredient',
    'has_cause',
    'has_effect',
    'has_part',
    'has_use',
    'head_of_government',
    'height',
    'highest_point',
    'homograph_lexeme',
    'HSDB_ID',
    'imported_from_Wikimedia_project',
    'inception',
    'InChI',
    'InChIKey',
    'industry',
    'instance_of',
    'interested_in',
    'inverse_property',
    'ionization_energy',
    'isomeric_SMILES',
    'language_of_work_or_name',
    'legal_status_medicine',
    'location_of_formation',
    'lowest_point',
    'made_from_material',
    'main_subject',
    'manufacturer',
    'mass',
    'material_produced',
    'measured_physical_quantity',
    'median_lethal_dose',
    'melting_point',
    'member_of',
    'minimal_lethal_dose',
    'mother',
    'name_in_native_language',
    'named_after',
    'native_label',
    'negates_property',
    'number_of_decimal_digits',
    'number_of_records',
    'numeric_value',
    'occupation',
    'official_language',
    'official_name',
    'official_website',
    'OpenStreetMap_tag_or_key',
    'ORCID_iD',
    'parent_peak',
    'part_of',
    'participant_in',
    'partition_coefficient_water_octanol',
    'partner_in_business_or_sport',
    'patent_number',
    'payload_mass',
    'phase_of_matter',
    'pKa',
    'place_of_birth',
    'place_of_death',
    'population',
    'position_held',
    'position_held',
    'practiced_by',
    'product_or_material_produced_or_service_provided',
    'product_produced',
    'properties_for_this_type',
    'property_proposal_discussion',
    'PubChem_CID',
    'publication_date',
    'quantity_symbol_string',
    'reference_URL',
    'related_property',
    'Relations_Ontology_ID',
    'residence',
    'retrieved',
    'route_of_administration',
    'safety_classification_and_labelling',
    'said_to_be_the_same_as',
    'same_as',
    'school_district',
    'season',
    'service_provided',
    'sex_or_gender',
    'shares_border_with',
    'short_name',
    'significant_person',
    'solubility',
    'source_website_for_the_property',
    'specific_heat_capacity',
    'speed_limit',
    'sponsor',
    'spouse',
    'start_time',
    'stated_in',
    'statement_supported_by',
    'stereoisomer_of',
    'subclass_of',
    'subject_lexeme',
    'subproperty_of',
    'taxon_name',
    'temperature',
    'TheCocktailDB_ingredient_ID',
    'time_index',
    'title',
    'trading_name',
    'transport_network',
    'type_of_unit_for_this_property',
    'Unicode_character',
    'used_by',
    'uses',
    'valid_in_place',
    'width',
    'Wikidata_item_of_this_property',
    'Wikidata_property',
    'Wikidata_property_example_for_lexemes',
    'WordNet_31_Synset_ID',
    'YouTube_video_ID',
)
